'''
实验名称：边缘检测
实验平台：核桃派1B
'''

import cv2

img = cv2.imread('lenna.jpg') #读取图像，原图观察用
cv2.imshow('lenna', img) #显示原图像

#第1组阈值边缘检测
e1 = cv2.Canny(img, 20, 60)
cv2.imshow('e1', e1) #显示原图像

#第2组阈值边缘检测
e2 = cv2.Canny(img, 200, 400)
cv2.imshow('e2', e2) #显示原图像

cv2.waitKey() #等待键盘任意按键按下
cv2.destroyAllWindows() #关闭窗口
